Welcome to the Slackware Documentation Project

Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
fr:slackware:multilib [2017/09/22 04:36 (UTC)]
pierreaverseng [Slackware64 current]
fr:slackware:multilib [2017/09/22 07:15 (UTC)]
pierreaverseng [Pour toutes éditions de Slackware]
Ligne 220: Ligne 220:
     * gcc-go-7.1.0_multilib-x86_64-2alien.txz     * gcc-go-7.1.0_multilib-x86_64-2alien.txz
     * gcc-objc-7.1.0_multilib-x86_64-2alien.txz     * gcc-objc-7.1.0_multilib-x86_64-2alien.txz
-  * Ensemble des bibliothèques GNU libc:+  * Les bibliothèques GNU libc:
     * glibc-2.25_multilib-x86_64-3alien.txz     * glibc-2.25_multilib-x86_64-3alien.txz
     * glibc-i18n-2.25_multilib-x86_64-3alien.txz     * glibc-i18n-2.25_multilib-x86_64-3alien.txz
Ligne 243: Ligne 243:
  
 La mise à niveau de glibc et gcc telle que décrite précédemment fait passer votre système de «//​multilib-ready//​» à «//​multilib-enabled//​». La mise à niveau de glibc et gcc telle que décrite précédemment fait passer votre système de «//​multilib-ready//​» à «//​multilib-enabled//​».
-Tout ce que vous devez faire maintenant c'est installer les bibliothèques Slackware 32-bits ​de façon à ce que les programmes 32-bits que vous installerez ou compilerez trouvent les bibliothèques dont ils ont besoin. Mais il ne suffit pas de prendre les paquets 32-bits et les installer tels quels dans la Slackware64 pour au moins 2 raisons:+Tout ce que vous devez faire maintenant c'est installer les bibliothèques Slackware 32-bits ​afin que les programmes 32-bits que vous installerez ou compilerez trouvent les bibliothèques dont ils ont besoin. Mais il ne suffit pas de prendre les paquets 32-bits et les installer tels quels dans la Slackware64 pour au moins 2 raisons:
   *tout d'​abord,​ vous allez vous retrouver avec plusieurs paquets portant le même nom, source de confusion pour vous et aussi pour le gestionnaire de paquets '​slackpkg'​.   *tout d'​abord,​ vous allez vous retrouver avec plusieurs paquets portant le même nom, source de confusion pour vous et aussi pour le gestionnaire de paquets '​slackpkg'​.
   *ensuite, si le paquet 32-bits que vous installez contient des binaires (tels /​usr/​bin/​foo par exemple) vous risquez d'​écraser leur équivalent 64-bits, ce qui mettrait la pagaille dans votre système.   *ensuite, si le paquet 32-bits que vous installez contient des binaires (tels /​usr/​bin/​foo par exemple) vous risquez d'​écraser leur équivalent 64-bits, ce qui mettrait la pagaille dans votre système.

Autres langues
QR Code
QR Code fr:slackware:multilib (generated for current page)